/**
 * @file config.h
 * @brief The 'iotbalkon' configuration data.
 */

#ifndef _CONFIG_H
#define _CONFIG_H

// Global includes for the project

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <stdbool.h>
#include <time.h>
#include <errno.h>
#include <sys/unistd.h>
#include <sys/fcntl.h>
#include <sys/time.h>

#include "freertos/FreeRTOS.h"
#include "freertos/task.h"
#include "freertos/semphr.h"
#include "freertos/event_groups.h"
#include "freertos/queue.h"
#include "driver/gpio.h"
#include "driver/i2c.h"
//#include "driver/rtc_io.h"
//#include "soc/sens_periph.h"
//#include "soc/rtc.h"
#include "esp_log.h"
#include "esp_system.h"
#include "esp_app_desc.h"
#include "esp_wifi.h"
#include "esp_event.h"
#include "esp_netif.h"
#include "nvs_flash.h"
#include "lwip/err.h"
#include "lwip/sys.h"
#include "mqtt_client.h"

/*
 * esp-idf-lib
 */
#include <i2cdev.h>
#include <bmp280.h>
#include <ina219.h>

/*
 * Application sources
 */
#include "task_bmp280.h"
#include "task_ina219.h"
#include "task_wifi.h"
#include "task_mqtt.h"
#include "xutil.h"



#endif
